CVE-2014-3554

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Buffer overflow in the ndp_msg_opt_dnssl_domain function in libndp allows remote routers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted DNS Search List (DNSSL) in an IPv6 router advertisement.

References

http://www.openwall.com/lists/oss-security/2014/07/29/2

https://bugzilla.redhat.com/show_bug.cgi?id=1118583

http://www.securityfocus.com/bid/68945

https://exchange.xforce.ibmcloud.com/vulnerabilities/94927

Details

Source: MITRE

Published: 2014-07-31

Updated: 2021-10-12

Type: CWE-120

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:libndp:libndp:*:*:*:*:*:*:*:*

Tenable Plugins

View all (3 total)

IDNameProductFamilySeverity
132146EulerOS 2.0 SP3 : libndp (EulerOS-SA-2019-2611)NessusHuawei Local Security Checks
medium
131650EulerOS 2.0 SP2 : libndp (EulerOS-SA-2019-2497)NessusHuawei Local Security Checks
medium
77309Fedora 20 : libndp-1.4-1.fc20 (2014-8976)NessusFedora Local Security Checks
medium